## org.eclipse.m2m.atl.core.ui
Class Messages

    java.lang.Object
      org.eclipse.m2m.atl.core.ui.Messages

    public final class Messages

extends java.lang.Object

Utility class to access externalized Strings for ATLDebug.

Method Summary
`static java.lang.String` `getString(java.lang.String key)` Returns a specified `String` from the resource bundle.
`static java.lang.String` `getString(java.lang.String key, java.lang.Object... arguments)` Returns a String from the resource bundle binded with the given arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

  Returns a specified `String` from the resource bundle.

  Parameters:
    `key` - Key of the String we seek.
  Returns:
    The String from the resource bundle associated with `key`.

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object... arguments)

  Returns a String from the resource bundle binded with the given arguments.

  Parameters:
    `key` - Key of the String we seek.
    `arguments` - Arguments for the String formatting.
  Returns:
    formatted `String`.
  See Also:
    `MessageFormat.format(String, Object...)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.